## LatexilaUtils LatexilaUtils — Utility functions |

## Functions

void | latexila_utils_show_uri ()
GtkWidget * | latexila_utils_get_dialog_component ()
void | latexila_utils_migrate_latexila_to_gnome_latex ()

## Includes

    #include <latexila.h>

## Description

Various utility functions.

## Functions

### latexila_utils_show_uri ()

    void
    latexila_utils_show_uri (GtkWidget *widget,
                             const gchar *uri,
                             guint32 timestamp,
                             GError **error);

Shows the `uri` . If the URI is a PDF file and if Evince is the default document viewer, this function also connects the Evince window so the backward search works (switch from the PDF to the source file).

#### Parameters

widget | the associated GtkWidget, or `NULL`. | [nullable]
uri | the URI to show. |
timestamp | a timestamp. |
error | a `NULL` GError, or `NULL`. | [out][optional]

### latexila_utils_get_dialog_component ()

    GtkWidget *
    latexila_utils_get_dialog_component (const gchar *title,
                                         GtkWidget *widget);

Like `tepl_utils_get_titled_component()` but with an additional overall margin on all sides.

TODO: migrate everything to `tepl_utils_get_titled_component()`.

#### Parameters

title | the title of the dialog component. |
widget | the widget displayed below the title. |

#### Returns

the dialog component containing the `title` and the `widget` .

[transfer floating]

### latexila_utils_migrate_latexila_to_gnome_latex ()

    void
    latexila_utils_migrate_latexila_to_gnome_latex
                                   (void);

Migrates the GSettings values and user data/config files from LaTeXila to GNOME LaTeX, so that users don't lose all their settings.

TODO in >= 2025: delete this code.